# Module std::f64::consts 1.0.0 [−] [src]

Basic mathematical constants.

## Constants

E | Euler's number (e)
FRAC_1_PI | 1/π
FRAC_1_SQRT_2 | 1/sqrt(2)
FRAC_2_PI | 2/π
FRAC_2_SQRT_PI | 2/sqrt(π)
FRAC_PI_2 | π/2
FRAC_PI_3 | π/3
FRAC_PI_4 | π/4
FRAC_PI_6 | π/6
FRAC_PI_8 | π/8
LN_2 | ln(2)
LN_10 | ln(10)
LOG10_E | log10(e)
LOG2_E | log2(e)
PI | Archimedes' constant (π)
SQRT_2 | sqrt(2)

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result
+
  Collapse/expand all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)